%define name	memprof
%define version	0.4.1
%define release 4mdk

Summary:	Tool for memory profiling and leak detection
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
Source0:	http://people.redhat.com/~otaylor/memprof/%{name}-%{version}.tar.bz2
Source1:	%{name}.16.xpm.bz2
Source2:	%{name}.32.xpm.bz2
Source3:	%{name}.48.xpm.bz2
Patch0:		memprof-0.4.1-64bit.patch.bz2
Url:		http://people.redhat.com/~otaylor/memprof/index.html
Requires:	libglade >= 0.7-1
BuildRequires:	db1, db3, popt, popt, libtermcap2, zlib1, XFree86-libs, automake, autoconf, diffutils
BuildRequires:	file, gnome-libs-devel, libtool, m4, texinfo, gettext, gcc-cpp, gnome-libs,
BuildRequires:	libaudiofile0, libbinutils2, libesound0, libgtk+1.2, libimlib1, libglade-gnome0
BuildRequires:	libglade0, libglade0-devel, libglib1.2, libxml, libbzip2_1
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Memprof is a tool for profiling memory usage and
detecting memory leaks. It can be used with existing
binaries without need for recompilation.
%prep
%setup -q
%patch0 -p1
libtoolize --automake -f
aclocal
automake -a
autoconf
autoheader


%build
%configure
%make

%post
%{update_menus}

%postun
%{clean_menus}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# mdk menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%_menudir
cat > ./%_menudir/%{name} <<EOF
?package(%{name}):\
    command="/usr/bin/memprof"\
    title="Memprof"\
    icon="%{name}.xpm"\
    longtitle="Tool for memory profiling and leak detection"\
    needs="x11"\
    section="Applications/Development/Tools"
EOF
)

# mdk icons
install -d -m 755 $RPM_BUILD_ROOT%{_miconsdir}
install -d -m 755 $RPM_BUILD_ROOT%{_iconsdir}
install -d -m 755 $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

# find i18n files
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
# docs
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog 
#
%_bindir/%name
#
%_libdir/libmemintercept.a
%_libdir/libmemintercept.la
%_libdir/libmemintercept.so
# data
%dir %_datadir/%name
%_datadir/memprof/gnome-question.png
%_datadir/memprof/leak.xpm
%_datadir/memprof/memprof.glade
# menu
%_menudir/%name
# icons
%_miconsdir/%name.xpm*
%_iconsdir/%name.xpm*
%_liconsdir/%name.xpm*

%changelog
* Sat Jul 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.1-4mdk
- Rebuild.

* Mon Jun 25 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.4.1-3mdk
- fixes for 64-bit machines
- remove ExclusiveArch
- regenerate autoconf/automake/libtool files on each build

* Mon Apr  9 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-2mdk
- sanitized specfile (s/Copyright/License, BuildRequires, etc.)
- added i18n files
- added mdk menu
- added mdk icons

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.1-1mdk
- New and shiny source for general consumption.
- Add a url for the source tag and a new url tag.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0 (from helix)
- BM

* Thu Jun 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3.0-7mdk
- Macrozification.
- Recompile again last binutils.

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.3.0-6mdk
- new groups
- added documentation

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.3.0-5mdk
- Added PPC support

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3.0-4mdk
- Use a %configure.

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.

* Wed Oct 27 1999 Owen Taylor <otaylor@redhat.com>
- Initial package
